
Ceph - Bug #2827

mon: ceph health string doesn't match "ceph -s" output

07/23/2012 02:44 PM - Greg Farnum

Status: Rejected % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category: Monitor   

Target version: v0.51   

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

I've seen several ceph -s reports lately where the first line on the PGs doesn't match the output of the PG line. My guess is we're

somehow caching ceph health status improperly?

root@ha2:~# ceph -s

   health HEALTH_WARN 400 pgs peering; 185 pgs stuck inactive; 395 pgs stuck unclean

   monmap e1: 3 mons at {0=192.168.3.11:6789/0,1=192.168.3.12:6789/0,2=192.168.1.64:6789/0}, elect

ion epoch 118, quorum 0,1,2 0,1,2

   osdmap e1451: 2 osds: 2 up, 2 in

    pgmap v369519: 400 pgs: 400 peering; 27776 MB data, 56799 MB used, 4409 GB / 4464 GB avail

   mdsmap e240: 1/1/1 up {0=2=up:active}, 2 up:standby

History

#1 - 08/24/2012 03:54 PM - Sage Weil

- Status changed from New to Rejected

i don't think theres' anything wrong here.. the "stuck" stuff is based on times they changed away from active or clean, and the 400 number matches...
